%Script inversione matrice least-squares in modo simbolico
%Scritto da Pavan Andrea - 22/07/2022
clear;
clc;


%% inversione matrice minimi quadrati
syms a11 a12 a13 a14 a15 a22 a23 a24 a25 a33 a34 a35 a44 a45 a55
Asym = [a11, a12, a13, a14, a15;
        a12, a22, a23, a24, a25;
        a13, a23, a33, a34, a35;
        a14, a24, a34, a44, a45;
        a15, a25, a35, a45, a55];
invAsym = inv(Asym);
detAsym = det(Asym);


%% inversione matrice con condizione Neumann du/dx
Aneu = [a22, a23, a24, a25;
        a23, a33, a34, a35;
        a24, a34, a44, a45;
        a25, a35, a45, a55];
invAneu = inv(Aneu);
detAneu = det(Aneu);

